# Uses of Class
javassist.expr.ExprEditor

Packages that use ExprEditor
Package
Description
javassist
The Javassist Core API.
javassist.expr
This package contains the classes for modifying a method body.

## Uses of ExprEditor in javassist

Methods in javassist with parameters of type ExprEditor
Modifier and Type
Method
Description
`void`
CtBehavior.`instrument(ExprEditor editor)`
Modifies the method/constructor body.
`void`
CtClass.`instrument(ExprEditor editor)`
Modifies the bodies of all methods and constructors declared in the class.

## Uses of ExprEditor in javassist.expr

Methods in javassist.expr with parameters of type ExprEditor
Modifier and Type
Method
Description
`void`
Expr.`replace(String statement, ExprEditor recursive)`
Replaces this expression with the bytecode derived from the given source text and `ExprEditor`.